/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Feb-12-2011 07:53:07pm
Filepath: scripts\_custom\mlpackage\Regions\TwistedWealdDesert.cs
Lines of code: 33

Description: 

***********************************************************/


using System.Xml;
using Server.Network;
using Server.Spells;
using Server.Spells.Ninjitsu;

namespace Server.Regions
{
	public class TwistedWealdDesert : MondainRegion
	{
		public static void Initialize() 
		{ 
			EventSink.Login += new LoginEventHandler( Desert_OnLogin );
		}

		private static void Desert_OnLogin( LoginEventArgs e ) 
		{
			Mobile m = e.Mobile;
			if ( m.Region.IsPartOf( typeof( TwistedWealdDesert ) ) && m.AccessLevel < AccessLevel.GameMaster )
				m.Send( SpeedControl.WalkSpeed );
		}

		public TwistedWealdDesert( XmlElement xml, Map map, Region parent ) : base( xml, map, parent )
		{			
		}

		public override void OnEnter( Mobile m )
		{
			
			if ( m.NetState != null && m.AccessLevel < AccessLevel.GameMaster )
				m.Send( SpeedControl.WalkSpeed );
		}

		public override void OnExit( Mobile m )
		{
			if ( m.NetState != null)				
				m.Send( SpeedControl.Disable );
		}
	}
}